using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            int n = int.Parse(s.Split(' ')[0]);
            int m = int.Parse(s.Split(' ')[1]);
            if (m == 1) Console.WriteLine(n);
            else if (n == 1) Console.WriteLine(m);
            else Console.WriteLine(2 * n + 2*m - 4 + (n - 2) * (m - 2) / 2);
        }
    }
}